# Domain form fieldsets

This is a directory of fieldsets that the domain details checkout form (`domain-details-form.jsx`) conditionally renders, based on the contents of the user's cart or his or her country.

At the moment it is rather closely coupled with the individual form input components' props requirements. See: `my-sites/domains/components/form`

## region-address-fieldsets.jsx

Will render the appropriate address fieldset component based on the provided `countryCode`.

Usage:

```
    const getFieldProps = () => {
        return {
            // ...form props
        }
    },
    countryCode = 'FR';

    //render
    <RegionAddressFieldsets
        getFieldProps={ getFieldProps }
        countryCode={ countryCode }
        shouldAutoFocusAddressField={ true }
        hasCountryStates={ false }
    />
```

## Props

`getFieldProps` _{Function}_ _Required_

Returns an object of props expected by our form input components: `my-sites/domains/components/form`

`countryCode` _{string}_ _Optional_

The user's country code, for example: 'AU', 'GB', 'IT', 'US' and so on.

Default: `'US'`.

`shouldAutoFocusAddressField` _{Bool}_ _Optional_

Informs the component if it should focus the first address field when a user switches countries.

Default: `false`.

`hasCountryStates` _{Bool}_

Overrides the constants check. Informs the component whether the country code is associated with a list of states, and therefore must display the US-style address fields.

Default: `false`.
